Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jasper.compiler
Interface TagConstants

All Known Implementing Classes:
  TagLibraryInfoImpl

    public interface TagConstants

Field Summary
`static String` | `ATTRIBUTE_ACTION`
`static String` | `ATTRIBUTE_DIRECTIVE_ACTION`
`static String` | `BODY_ACTION`
`static String` | `DECLARATION_ACTION`
`static String` | `DIRECTIVE_ACTION`
`static String` | `DOBODY_ACTION`
`static String` | `ELEMENT_ACTION`
`static String` | `EXPRESSION_ACTION`
`static String` | `FALLBACK_ACTION`
`static String` | `FORWARD_ACTION`
`static String` | `GET_PROPERTY_ACTION`
`static String` | `INCLUDE_ACTION`
`static String` | `INCLUDE_DIRECTIVE_ACTION`
`static String` | `INVOKE_ACTION`
`static String` | `JSP_ATTRIBUTE_ACTION`
`static String` | `JSP_ATTRIBUTE_DIRECTIVE_ACTION`
`static String` | `JSP_BODY_ACTION`
`static String` | `JSP_DECLARATION_ACTION`
`static String` | `JSP_DOBODY_ACTION`
`static String` | `JSP_ELEMENT_ACTION`
`static String` | `JSP_EXPRESSION_ACTION`
`static String` | `JSP_FALLBACK_ACTION`
`static String` | `JSP_FORWARD_ACTION`
`static String` | `JSP_GET_PROPERTY_ACTION`
`static String` | `JSP_INCLUDE_ACTION`
`static String` | `JSP_INCLUDE_DIRECTIVE_ACTION`
`static String` | `JSP_INVOKE_ACTION`
`static String` | `JSP_OUTPUT_ACTION`
`static String` | `JSP_PAGE_DIRECTIVE_ACTION`
`static String` | `JSP_PARAM_ACTION`
`static String` | `JSP_PARAMS_ACTION`
`static String` | `JSP_PLUGIN_ACTION`
`static String` | `JSP_ROOT_ACTION`
`static String` | `JSP_SCRIPTLET_ACTION`
`static String` | `JSP_SET_PROPERTY_ACTION`
`static String` | `JSP_TAG_DIRECTIVE_ACTION`
`static String` | `JSP_TAGLIB_DIRECTIVE_ACTION`
`static String` | `JSP_TEXT_ACTION`
`static String` | `JSP_TEXT_ACTION_END`
`static String` | `JSP_URI`
`static String` | `JSP_USE_BEAN_ACTION`
`static String` | `JSP_VARIABLE_DIRECTIVE_ACTION`
`static String` | `OUTPUT_ACTION`
`static String` | `PAGE_DIRECTIVE_ACTION`
`static String` | `PARAM_ACTION`
`static String` | `PARAMS_ACTION`
`static String` | `PLUGIN_ACTION`
`static String` | `ROOT_ACTION`
`static String` | `SCRIPTLET_ACTION`
`static String` | `SET_PROPERTY_ACTION`
`static String` | `TAG_DIRECTIVE_ACTION`
`static String` | `TAGLIB_DIRECTIVE_ACTION`
`static String` | `TEXT_ACTION`
`static String` | `URN_JSPTAGDIR`
`static String` | `URN_JSPTLD`
`static String` | `USE_BEAN_ACTION`
`static String` | `VARIABLE_DIRECTIVE_ACTION`

Field Detail

### JSP_URI

    static final String JSP_URI

See Also:
  Constant Field Values

### DIRECTIVE_ACTION

    static final String DIRECTIVE_ACTION

See Also:
  Constant Field Values

### ROOT_ACTION

    static final String ROOT_ACTION

See Also:
  Constant Field Values

### JSP_ROOT_ACTION

    static final String JSP_ROOT_ACTION

See Also:
  Constant Field Values

### PAGE_DIRECTIVE_ACTION

    static final String PAGE_DIRECTIVE_ACTION

See Also:
  Constant Field Values

### JSP_PAGE_DIRECTIVE_ACTION

    static final String JSP_PAGE_DIRECTIVE_ACTION

See Also:
  Constant Field Values

### INCLUDE_DIRECTIVE_ACTION

    static final String INCLUDE_DIRECTIVE_ACTION

See Also:
  Constant Field Values

### JSP_INCLUDE_DIRECTIVE_ACTION

    static final String JSP_INCLUDE_DIRECTIVE_ACTION

See Also:
  Constant Field Values

### DECLARATION_ACTION

    static final String DECLARATION_ACTION

See Also:
  Constant Field Values

### JSP_DECLARATION_ACTION

    static final String JSP_DECLARATION_ACTION

See Also:
  Constant Field Values

### SCRIPTLET_ACTION

    static final String SCRIPTLET_ACTION

See Also:
  Constant Field Values

### JSP_SCRIPTLET_ACTION

    static final String JSP_SCRIPTLET_ACTION

See Also:
  Constant Field Values

### EXPRESSION_ACTION

    static final String EXPRESSION_ACTION

See Also:
  Constant Field Values

### JSP_EXPRESSION_ACTION

    static final String JSP_EXPRESSION_ACTION

See Also:
  Constant Field Values

### USE_BEAN_ACTION

    static final String USE_BEAN_ACTION

See Also:
  Constant Field Values

### JSP_USE_BEAN_ACTION

    static final String JSP_USE_BEAN_ACTION

See Also:
  Constant Field Values

### SET_PROPERTY_ACTION

    static final String SET_PROPERTY_ACTION

See Also:
  Constant Field Values

### JSP_SET_PROPERTY_ACTION

    static final String JSP_SET_PROPERTY_ACTION

See Also:
  Constant Field Values

### GET_PROPERTY_ACTION

    static final String GET_PROPERTY_ACTION

See Also:
  Constant Field Values

### JSP_GET_PROPERTY_ACTION

    static final String JSP_GET_PROPERTY_ACTION

See Also:
  Constant Field Values

### INCLUDE_ACTION

    static final String INCLUDE_ACTION

See Also:
  Constant Field Values

### JSP_INCLUDE_ACTION

    static final String JSP_INCLUDE_ACTION

See Also:
  Constant Field Values

### FORWARD_ACTION

    static final String FORWARD_ACTION

See Also:
  Constant Field Values

### JSP_FORWARD_ACTION

    static final String JSP_FORWARD_ACTION

See Also:
  Constant Field Values

### PARAM_ACTION

    static final String PARAM_ACTION

See Also:
  Constant Field Values

### JSP_PARAM_ACTION

    static final String JSP_PARAM_ACTION

See Also:
  Constant Field Values

### PARAMS_ACTION

    static final String PARAMS_ACTION

See Also:
  Constant Field Values

### JSP_PARAMS_ACTION

    static final String JSP_PARAMS_ACTION

See Also:
  Constant Field Values

### PLUGIN_ACTION

    static final String PLUGIN_ACTION

See Also:
  Constant Field Values

### JSP_PLUGIN_ACTION

    static final String JSP_PLUGIN_ACTION

See Also:
  Constant Field Values

### FALLBACK_ACTION

    static final String FALLBACK_ACTION

See Also:
  Constant Field Values

### JSP_FALLBACK_ACTION

    static final String JSP_FALLBACK_ACTION

See Also:
  Constant Field Values

### TEXT_ACTION

    static final String TEXT_ACTION

See Also:
  Constant Field Values

### JSP_TEXT_ACTION

    static final String JSP_TEXT_ACTION

See Also:
  Constant Field Values

### JSP_TEXT_ACTION_END

    static final String JSP_TEXT_ACTION_END

See Also:
  Constant Field Values

### ATTRIBUTE_ACTION

    static final String ATTRIBUTE_ACTION

See Also:
  Constant Field Values

### JSP_ATTRIBUTE_ACTION

    static final String JSP_ATTRIBUTE_ACTION

See Also:
  Constant Field Values

### BODY_ACTION

    static final String BODY_ACTION

See Also:
  Constant Field Values

### JSP_BODY_ACTION

    static final String JSP_BODY_ACTION

See Also:
  Constant Field Values

### ELEMENT_ACTION

    static final String ELEMENT_ACTION

See Also:
  Constant Field Values

### JSP_ELEMENT_ACTION

    static final String JSP_ELEMENT_ACTION

See Also:
  Constant Field Values

### OUTPUT_ACTION

    static final String OUTPUT_ACTION

See Also:
  Constant Field Values

### JSP_OUTPUT_ACTION

    static final String JSP_OUTPUT_ACTION

See Also:
  Constant Field Values

### TAGLIB_DIRECTIVE_ACTION

    static final String TAGLIB_DIRECTIVE_ACTION

See Also:
  Constant Field Values

### JSP_TAGLIB_DIRECTIVE_ACTION

    static final String JSP_TAGLIB_DIRECTIVE_ACTION

See Also:
  Constant Field Values

### INVOKE_ACTION

    static final String INVOKE_ACTION

See Also:
  Constant Field Values

### JSP_INVOKE_ACTION

    static final String JSP_INVOKE_ACTION

See Also:
  Constant Field Values

### DOBODY_ACTION

    static final String DOBODY_ACTION

See Also:
  Constant Field Values

### JSP_DOBODY_ACTION

    static final String JSP_DOBODY_ACTION

See Also:
  Constant Field Values

### TAG_DIRECTIVE_ACTION

    static final String TAG_DIRECTIVE_ACTION

See Also:
  Constant Field Values

### JSP_TAG_DIRECTIVE_ACTION

    static final String JSP_TAG_DIRECTIVE_ACTION

See Also:
  Constant Field Values

### ATTRIBUTE_DIRECTIVE_ACTION

    static final String ATTRIBUTE_DIRECTIVE_ACTION

See Also:
  Constant Field Values

### JSP_ATTRIBUTE_DIRECTIVE_ACTION

    static final String JSP_ATTRIBUTE_DIRECTIVE_ACTION

See Also:
  Constant Field Values

### VARIABLE_DIRECTIVE_ACTION

    static final String VARIABLE_DIRECTIVE_ACTION

See Also:
  Constant Field Values

### JSP_VARIABLE_DIRECTIVE_ACTION

    static final String JSP_VARIABLE_DIRECTIVE_ACTION

See Also:
  Constant Field Values

### URN_JSPTAGDIR

    static final String URN_JSPTAGDIR

See Also:
  Constant Field Values

### URN_JSPTLD

    static final String URN_JSPTLD

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.